Subject: Re: [PATCH v1 4/4] ARM: Documentation: Update fec dts binding doc

From: Richard Cochran <[email-masked]>
Date: Wed, 8 Oct 2014 12:13:09 +0200

On Wed, Oct 08, 2014 at 08:36:11AM +0000, [email-masked] wrote:
> I am not expert in DT.

(Me neither ;)

> I didn't get your point of using timer resource in the DT.  Yes, the timer resource is
> Part of FEC IP hardware. But if you want to choose one channel for using PPS, you have to add another property
> to specify. Do you mean the current code already have the DT property to specify the channel?

I see some timer bindings in Documentation/devicetree/bindings/timer.
So, you could and should add your SoC timer there and in the DTS
files.

Then, you have something like

	@fec {
		pps_timer = &timer;
	}

in your SoC's DTS file.

Thanks,
Richard